#include <iostream>
#include <string>
#include <fstream>
#include <iomanip>

using namespace std;

const int Cn = 100;
const char CFd[] = "krepelis.txt";
const string CFd2 = "parduotuv.txt";
const string CFr = "valandos.txt";


class krepelis {
private: 
	double valanda;
	string pav; 
	int kiekis; 
	double kaina;
	int nuolaida;
public:
	void Dti(double h, string p, int k, double l, int n);
	double Imtivalanda() { return valanda; }
	string Imtipav() { return pav; }
	int Imtikiekis() { return kiekis; }
	double Imtikaina() { return kaina; }
	int Imtinuolaida() { return nuolaida; }
	};

class parduotuv {
private: 
	string pavv; 
	int kreikia; 
	double suma;
	
public:
	void Dti( string pp, int r, double s);
	string Imtipavv() { return pavv; }
	int Imtikreikia() { return kreikia; }
	double Imtisuma() { return suma; }
	};
	
void krepelis::Dti(double h, string p, int k, double l, int n)
{
valanda = h;
pav = p;
kiekis = k;
nuolaida= n;
}

void parduotuv::Dti(string pp, int r, double s)
{
pavv = pp;
kreikia = r;
suma= s;
}

void SkaitytiDuomenis(string fv, krepelis A[], int & d)
{
string pav;
int metai;
double kaina, snaudos;
ifstream fd(fv.c_str());
fd >> d; fd.ignore();
for (int i = 0; i < d; i++) {
getline(fd, pav, ',');
fd >> valanda >> kiekis >>nuolaida;
A[i].Dti(pav, valanda, kiekis, nuolaida);
fd.ignore();
}


void SkaitytiDuomenis(string fv, parduotuv B[], int & t)
{
string pavv;
int kreikia;
double suma;
ifstream fd(fv.c_str());
fd >> t; fd.ignore();
for (int i = 0; i < t; i++) {
getline(fd, pavv, ',');
fd >> kreikia >> suma;
A[i].Dti(pavv, suma);
fd.ignore();
}



void SpausdintiDuomenis(string fv, krepelis A[], parduotuv B[], int g)
{
ofstream fr(fv.c_str(), ios::app);
fr.setf(ios::fixed);
fr << "----------------------------------------------------------" <<endl;;
fr << "| Valanda | Preks pavadinimas | Preki kiekis | Pinig suma|" <<endl;
fr << "|---------|-------------------|---------------|-----------|"<<endl;
for (int i = 0; i < g; i++) {
fr << "| " << left << setw(15) << A[i].Imtivalanda() << " | "
<< right << setw(8) << A[i].Imtipav() << " | "
<< setw(8) << setprecision(2) << B[i].Imtikreikia() << " | "

<< left << setw(10) << A[i].Imti() <<B[i].Imtikreikia()*(A[i].Imtikaina()*((100-A[i].Imtinuolaida())/100) "| "
<< endl;
}
fr << "------------------------------------------------------------------" << endl;
fr << "eima sutaup: " << setprecision(2) <<ssuma  << " Lt" << endl;
fr.close();
}



void RastiSkaiius (krepelis A[], parduotuv B[], int h, double & vsuma, double & ssuma, double & nsuma)
{
	psuma = 0;
	nsuma = 0;
	ilaidos = 0;

	for (int i = 0; i < h; i++ ) 
	{
		double kaina = A[i].Imtikaina();
		int kreikia = B[i].Imtikreikia();
		int nuolaida = A[i].Imtinuolaida();
		psuma += kaina * kreikia;
		nsuma += (kaina*((100-nuolaida)/100);
	}
	ssuma = psuma-nsuma ;
} 


int main()
{
setlocale(LC_ALL, "Lithuanian");
	krepelis D[Cn];	 
	parduotuv T[Cn];
	int n;		
	double vid, ilaidos, pinigai;	
	SkaitytiDuomenis(CFd, T, n);
	fr.open("valandos.txt", ios::app);
	fr.setf(ios::fixed); fr.setf(ios::left);
	RastiSkaiius(T, D, n, ssuma, psuma, nsuma ); 
	SpausdintiDuomenis(CFr, T, n, ssuma); 
return 0;
}